<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		leidy.gonzalez
@version 		1.0
@description	Pantalla que muestra el formulario para editar una resolucion que fue
@cu 			CC-NP-CO-084
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros

-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="editarResolucionForm">

    <script type="text/javascript">

        function funcionCambioDpto() {
            var valorComboDepartamento = document.getElementById('editarResolucionForm:rangoDepartamentoEditar').value;
            var inputDepartamento = document.getElementById('editarResolucionForm:departamentoNumResolucionInicialRangoEditar')
            inputDepartamento.value = valorComboDepartamento;

            var valorComboMunicipio = document.getElementById('editarResolucionForm:rangoMunicipioEditar').value;
            var inputMunicipio = document.getElementById('editarResolucionForm:municipioNumResolucionInicialRangoEditar')
            inputMunicipio.value = valorComboMunicipio;

            var valorComboDepartamentoFinal = document.getElementById('editarResolucionForm:rangoDepartamentoEditar').value;
            var inputDepartamentoFinal = document.getElementById('editarResolucionForm:departamentoNumResolucionFinalRangoEditar')
            inputDepartamentoFinal.value = valorComboDepartamentoFinal;

            var valorComboMunicipioFinal = document.getElementById('editarResolucionForm:rangoMunicipioEditar').value;
            var inputMunicipioFinal = document.getElementById('editarResolucionForm:municipioNumResolucionFinalRangoEditar')
            inputMunicipioFinal.value = valorComboMunicipioFinal;
        }

    </script>

    <script type="text/javascript">
        function funcionCambioMunicipio() {

            var valorComboMunicipio = document.getElementById('editarResolucionForm:rangoMunicipioEditar').value;
            var inputMunicipio = document.getElementById('resolucionesConservacionForm:municipioNumResolucionInicialRangoEditar')
            inputMunicipio.value = valorComboMunicipio.substring(2, 5);

            var valorComboMunicipioFinal = document.getElementById('editarResolucionForm:rangoMunicipioEditar').value;
            var inputMunicipioFinal = document.getElementById('editarResolucionForm:municipioNumResolucionFinalRangoEditar')
            inputMunicipioFinal.value = valorComboMunicipioFinal.substring(2, 5);
        }
    </script>

    <script type="text/javascript">

        function funcionCambioDptoAplicado() {
            var valorComboDepartamentoAplicado = document.getElementById('reditarResolucionForm:rangoDepartamentoAplicadoEditar').value;
            var inputDepartamentoAplicado = document.getElementById('editarResolucionForm:departamentoNumResolucionInicialTramiteAplicadoRango')
            inputDepartamentoAplicado.value = valorComboDepartamentoAplicado;

            var valorComboMunicipioAplicado = document.getElementById('editarResolucionForm:rangoAplicadoMunicipioEditar').value;
            var inputMunicipioAplicado = document.getElementById('reditarResolucionForm:municipioNumResolucionInicialTramiteAplicadoRangoEditar')
            inputMunicipioAplicado.value = valorComboMunicipioAplicado;

            var valorComboDepartamentoFinalAplicado = document.getElementById('editarResolucionForm:rangoDepartamentoAplicadoEditar').value;
            var inputDepartamentoFinalAplicado = document.getElementById('editarResolucionForm:departamentoNumResolucionFinalTramiteAplicadoRangoEditar')
            inputDepartamentoFinalAplicado.value = valorComboDepartamentoFinalAplicado;

            var valorComboMunicipioFinalAplicado = document.getElementById('editarResolucionForm:rangoAplicadoMunicipioEditar').value;
            var inputMunicipioFinalAplicado = document.getElementById('editarResolucionForm:municipioNumResolucionFinalTramiteAplicadoRangoEditar')
            inputMunicipioFinalAplicado.value = valorComboMunicipioFinalAplicado;
        }

    </script>

    <script type="text/javascript">
        function funcionCambioMunicipioAplicado() {

            var valorComboMunicipioAplicado = document.getElementById('editarResolucionForm:rangoAplicadoMunicipioEditar').value;
            var inputMunicipioAplicado = document.getElementById('editarResolucionForm:municipioNumResolucionInicialTramiteAplicadoRangoEditar')
            inputMunicipioAplicado.value = valorComboMunicipioAplicado.substring(2, 5);

            var valorComboMunicipioFinalAplicado = document.getElementById('editarResolucionForm:rangoAplicadoMunicipioEditar').value;
            var inputMunicipioFinalAplicado = document.getElementById('editarResolucionForm:municipioNumResolucionFinalTramiteAplicadoRangoEditar')
            inputMunicipioFinalAplicado.value = valorComboMunicipioFinalAplicado.substring(2, 5);
        }
    </script>

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsEditarResoluciones" showDetail="false" globalOnly="false" />

    <p:spacer width="0" height="13" />

    <p:fieldset toggleable="true" toggleSpeed="500"
                id="criteriosDeBusquedaFS" rendered="#{!managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">
        <legend>
            <h:outputText value="Criterios de búsqueda"
                          styleClass="legendTitle" />
        </legend>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '1'}">

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Nùmero Resoluciòn: " for="consecutivoResolucionEd"
                               styleClass="outputLabelStyle"/>
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>	

            <h:panelGrid columns="6" required="true" id="consecutivoResolucionEd" >
                <h:inputText id="departamentoNumResolucionInicialEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionInicial" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionInicialEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionInicialEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionInicial}" maxlength="6"
                             size="6" title="numeroResolucionInicial" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionInicialEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>			

        </h:panelGrid>

        <h:panelGrid id="rangoResoluciones" rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '3'}">

            <h:panelGrid columns="10" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                               and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">

                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="rangoDepartamentoEditar"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();funcionCambioDpto();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="rangoDepartamentoMsgEd"
                                   for="rangoDepartamentoEditar" display="icon" />
                        <p:commandLink id="btnOrdenRangoDepartamentoEd"
                                       update="btnOrdenRangoDepartamentoEd, rangoDepartamentoEditar"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="rangoMunicipioEditar" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();funcionCambioMunicipio();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="municipioBPMsgEd" for="rangoMunicipioEditar"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosRangoEd"
                                       update="btnOrdenMunicipiosRangoEd, rangoMunicipioEditar"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Nùmero resolución inicial: " for="consecutivoResolucionInicialEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:panelGrid columns="6" required="true" id ="consecutivoResolucionInicialEd">
                <h:inputText id="departamentoNumResolucionInicialRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionInicial" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionInicialRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionInicialRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionInicial}" maxlength="6"
                             size="6" title="numeroResolucionInicial" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionInicialRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Consecutivo resolución final: " for="consecutivoResolucionFinalEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="6" required="true" id ="consecutivoResolucionFinalEd">
                <h:inputText id="departamentoNumResolucionFinalRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionFinalRango" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionFinalRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionFinalRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionFinal}" maxlength="6"
                             size="6" title="numeroResolucionFinal" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionFinalRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>			

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '2'}">

            <h:panelGrid columns="6" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                              and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="fechaDepartamentoEd"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaDepartamentoMsgEd"
                                   for="fechaDepartamentoEd" display="icon" />
                        <p:commandLink id="btnOrdenFechaDepartamentoEd"
                                       update="btnOrdenFechaDepartamentoEd, fechaDepartamentoEd"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="fechaMunicipioEd" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaMunicipioMsgEd" for="fechaMunicipioEd"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosFechaEd"
                                       update="btnOrdenMunicipiosFechaEd, fechaMunicipioEd"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución: " for="consecutivoFechaEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true" id="consecutivoFechaEd">
                <p:calendar id="fechaResolucionEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionInicial}"
                            label="Fecha Resolucion" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>			

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '4'}">

            <h:panelGrid columns="6" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                              and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="fechaDepartamentoRangoEd"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}" ajax="true">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaDepartamentoRangoMsgEd"
                                   for="fechaDepartamentoRangoEd" display="icon" />
                        <p:commandLink id="btnOrdenFechaDepartamentoRangoEd"
                                       update="btnOrdenFechaDepartamentoRangoEd, fechaDepartamentoRangoEd"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="fechaRangoMunicipioEd" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaMunicipioRangoMsg" for="fechaRangoMunicipioEd"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosRangoFechaEd"
                                       update="btnOrdenMunicipiosRangoFechaEd, fechaRangoMunicipioEd"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución inicial: " for="consecutivoFechaInicialEd"
                               styleClass="outputLabelStyle"/>
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true" id= "consecutivoFechaInicialEd">
                <p:calendar id="fechaResolucionInicialEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionInicial}"
                            label="Fecha Resolucion Inicial" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución final: " for="consecutivoFechaFinalEd"
                               styleClass="outputLabelStyle"/>
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true" id="consecutivoFechaFinalEd">
                <p:calendar id="fechaResolucionFinalEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionFinal}"
                            label="Fecha Resolucion Final" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>				

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '5'}">

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Nùmero resolución inicial tramite aplicado: " for="consecutivoResolucionTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>

            <h:panelGrid columns="6" required="true" id="consecutivoResolucionTramiteAplicadoEd">
                <h:inputText id="departamentoNumResolucionInicialTramiteAplicadoEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionInicialTramiteAplicado" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionInicialTramiteAplicadoEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionFinalTramiteAplicadoEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionInicial}" maxlength="6"
                             size="6" title="numeroResolucionInicialTramiteAplicado" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionInicialTramiteAplicadoEd"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>					

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '6'}">

            <h:panelGrid columns="6" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                              and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="fechaDepartamentoAplicadoEd"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaDepartamentoAplicadoMsgEd"
                                   for="fechaDepartamentoAplicadoEd" display="icon" />
                        <p:commandLink id="btnOrdenFechaDepartamentoAplicadoEd"
                                       update="btnOrdenFechaDepartamentoAplicadoEd, fechaDepartamentoAplicadoEd"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="fechaAplicadoMunicipioEd" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="fechaMunicipioAplicadoMsgEd" for="fechaAplicadoMunicipioEd"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosAplicadoFechaEd"
                                       update="btnOrdenMunicipiosAplicadoFechaEd, fechaAplicadoMunicipioEd"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución tramite aplicado: " for="consecutivoFechaTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true" id="consecutivoFechaTramiteAplicadoEd">
                <p:calendar id="fechaResolucionTramiteAplicadoEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionInicial}"
                            label="Fecha Resolucion" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>			

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '7'}">

            <h:panelGrid columns="10" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                               and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">

                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="rangoDepartamentoAplicadoEditar"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();funcionCambioDptoAplicado();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="rangoDepartamentoAplicadoMsgEd"
                                   for="rangoDepartamentoAplicadoEditar" display="icon" />
                        <p:commandLink id="btnOrdenRangoDepartamentoAplicadoEd"
                                       update="btnOrdenRangoDepartamentoAplicadoEd, rangoDepartamentoAplicadoEditar"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="rangoAplicadoMunicipioEditar" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();funcionCambioMunicipioAplicado();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="municipioAplicadoMsgEd" for="rangoAplicadoMunicipioEditar"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosAplicadoRangoEd"
                                       update="btnOrdenMunicipiosAplicadoRangoEd, rangoAplicadoMunicipioEditar"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>

            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Nùmero resolución inicial tramite aplicado: " for="consecutivoResolucionInicialTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />	
            </h:panelGrid>	

            <h:panelGrid columns="6" required="true" id="consecutivoResolucionInicialTramiteAplicadoEd">
                <h:inputText id="departamentoNumResolucionInicialTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionInicialTramiteAplicado" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionInicialTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionInicialTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionInicial}" maxlength="6"
                             size="6" title="numeroResolucionInicialTramiteAplicado" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionInicialTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>	

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Nùmero resolución final tramite aplicado: " for="consecutivoResolucionFinalTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />	
            </h:panelGrid>

            <h:panelGrid columns="6" required="true" id="consecutivoResolucionFinalTramiteAplicadoEd">
                <h:inputText id="departamentoNumResolucionFinalTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.departamentoCodigo}"
                             label="departamentoNumResolucionInicialTramiteAplicado" maxlength="2"
                             size="2" title="Departamento" onblur="complete(this, 2)"
                             onkeyup="saltar(this, 2, 2, 3);" />
                <h:inputText id="municipioNumResolucionFinalTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.municipioCodigo}"
                             maxlength="3" size="3" title="Municipio"
                             onblur="complete(this, 3)" onkeyup="saltar(this, 3, 3, 2);" />
                <h:inputText id="numeroResolucionFinalTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.numeroResolucionFinal}" maxlength="6"
                             size="6" title="numeroResolucionFinalTramiteAplicado" onblur="complete(this, 6)"
                             onkeyup="saltar(this, 6, 4, 2);" />
                <h:inputText id="añoNumResolucionFinalTramiteAplicadoRangoEditar"
                             value="#{managedBeanParam.productoCatastralDetalleSeleccionado.anio}"
                             maxlength="4" size="4" title="Año" onblur="complete(this, 4)"
                             onkeyup="saltar(this, 4, 5, 2);" />
            </h:panelGrid>				

        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.tipoDeBusquedaResolucionesDeConservacion eq '8'}">

            <h:panelGrid columns="6" width="100%" rendered="#{managedBeanParam.activarSeleccionDepartamentoMunicipio
                                                              and !managedBeanParam.actividadRevisarInformacionDeProductosAGenerar}">
                <h:panelGrid columns="2">
                    <h:outputLabel value="Departamento:"
                                   styleClass="outputLabelStyle" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="4">
                        <h:selectOneMenu id="rangoFechaDepartamentoAplicadoEd"
                                         label="Departamento" required="true"
                                         value="#{managedBeanParam.selectedDepartamentoCodigo}">
                            <f:selectItems value="#{managedBeanParam.departamentosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    update=":resolucionesConservacionForm" listener="#{managedBeanParam.onChangeDepartamentos}"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="rangoFechaDepartamentoAplicadoMsgEd"
                                   for="rangoFechaDepartamentoAplicadoEd" display="icon" />
                        <p:commandLink id="btnOrdenRangoFechaDepartamentoAplicadoEd"
                                       update="btnOrdenRangoFechaDepartamentoAplicadoEd, rangoFechaDepartamentoAplicadoEd"
                                       title="Ordenar departamentos"
                                       action="#{managedBeanParam.cambiarOrdenDepartamentos}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.departamentosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>
                </h:panelGroup>

                <h:panelGrid columns="2">
                    <h:outputLabel value="Municipio:" styleClass="outputLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                    <h:outputLabel value="*" styleClass="requiredLabelStyle"
                                   rendered="#{not empty  managedBeanParam.selectedDepartamentoCodigo}" />
                </h:panelGrid>
                <h:panelGroup>
                    <h:panelGrid columns="3"
                                 rendered="#{not empty managedBeanParam.selectedDepartamentoCodigo}">
                        <h:selectOneMenu id="rangoFechaAplicadoMunicipioEd" label="Municipio"
                                         required="true" value="#{managedBeanParam.selectedMunicipioCodigo}">
                            <f:selectItems value="#{managedBeanParam.municipiosItemList}" />
                            <p:ajax process="@this"
                                    oncomplete="statusDialog2.hide();"
                                    onstart="statusDialog2.show();" />
                        </h:selectOneMenu>
                        <p:message id="municipioFechaAplicadoMsgEd" for="rangoFechaAplicadoMunicipioEd"
                                   display="icon" />
                        <p:commandLink id="btnOrdenMunicipiosFechaAplicadoRangoEd"
                                       update="btnOrdenMunicipiosFechaAplicadoRangoEd, rangoFechaAplicadoMunicipioEd"
                                       title="Ordenar municipios"
                                       action="#{managedBeanParam.cambiarOrdenMunicipios}" ajax="true"
                                       immediate="true">
                            <p:graphicImage
                                rendered="#{managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortCode.png" />
                            <p:graphicImage
                                rendered="#{!managedBeanParam.municipiosOrderedByNombre}"
                                style="border: none" value="/images/sortText.png" />
                        </p:commandLink>
                    </h:panelGrid>

                </h:panelGroup>
            </h:panelGrid>

            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución inicial tramite aplicado: " for="consecutivoFechaInicialTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true" id="consecutivoFechaInicialTramiteAplicadoEd">
                <p:calendar id="fechaResolucionInicialTramiteAplicadoEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionInicial}"
                            label="Fecha Resolucion Inicial" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>
            <h:panelGrid columns="2" required="true">
                <h:outputLabel value="Fecha resolución final tramite aplicado: " for="fechaResolucionInicialTramiteAplicadoEd"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid required="true">
                <p:calendar id="fechaResolucionFinalTramiteAplicadoEd"
                            value="#{managedBeanParam.productoCatastralDetalleSeleccionado.fechaResolucionFinal}"
                            label="Fecha Resolucion Final" required="true" effect="explode"
                            navigator="true" locale="es_CO"
                            pattern="#{general.formatoFecha}" showOn="both"
                            maxdate="#{general.fechaActual}"
                            title="#{general.formatoFechaUsuario}" size="10" />
            </h:panelGrid>				

        </h:panelGrid>

        <p:spacer height="20" width="0"/>

        <h:panelGrid>
            <p:commandButton value="Aceptar"
                             action="#{managedBeanParam.editarResolucionesAsociadasAProductos}"
                             update=":resolucionesConservacionForm:resolucionesAsociadasFS, :resolucionesConservacionForm:msgsResolucionesConservacion"
                             icon="ui-icon ui-icon-save"
                             oncomplete="editarResolucionesWV.hide();"/>
        </h:panelGrid>

        <p:spacer height="20" width="0"/>	

    </p:fieldset>

</h:form>